Advertisement

Author Topic: ArmA original version, prior to patch 1.08.  (Read 1303 times)

0 Members and 1 Guest are viewing this topic.

Offline firecontrol

  • Members
  • *
ArmA original version, prior to patch 1.08.
« on: 02 Aug 2007, 09:32:52 »
This may seem an odd topic, but I can't help but think this may be a problem.

If you guys can help me out here it would be great. I'm thinking that there is some kind of problem with the way ArmA's AI works between missions made with the US version, and those made with the previous (1.05 and below) versions. Since we're all playing on the same version, 1.08, it should  theoretically be exactly the same.

Here's what I've noticed though, in a mission I've got up for beta tests, I get problem reports about AI behavior (above and beyond the normal AI screw-ups) from certain people who I believe had the game prior to the US release. Namely Cheetah and LCD. I have two computers running ArmA here, with two seperate iterations of ArmA which I bought from Atari. (v1.06 originally, both patched to 1.08.)  I can't duplicate any of the errors they've reported on either computer, and it seems that a majority of the beta testers who've tested my mission don't seem to get those errors either. Things like triggers not tripping in the intro (AI position based) etc. I'm at a loss. I've adjusted some things to try to alevieate problems, but then it has reprecussions in my version in the form of shortened time in a scene, etc.

Anyway, I'm trying to get a better feel for this, and see if it isn't just in my head. Can you guys post what version of ArmA you originally installed? Then I can go through all the beta threads and see if I can find any validity to this crazy theory based on peoples' beta reports in various missions.

Thanks in advance!
-Fire

Offline Trapper

  • Honoured Contributor
  • ***
  • I'm a llama!
Re: ArmA original version, prior to patch 1.08.
« Reply #1 on: 02 Aug 2007, 10:34:18 »
Morphicon's German DVD Version released around November 30th.

Patch history: 1.01, 1.02, 1.05, 1.08
When I would reinstall I would only need Patch 1.05 and 1.08.

I remember there are two different versions of some later patches around, like "EU" "US" (or "UK"?) and "International". Many people had a hard time to select the right one but the installations were automatically aborted then.
Though it shows that there are patches of different sizes around to update the "same" game. Such a strategy could easily create small differences.  :(

EDIT some more:
Here's the patch overview... http://www.armedassault.com/dwnl_update.html
So the big glitches are patch 1.05 (EU/International) and patch 1.08 (US/International)
« Last Edit: 02 Aug 2007, 10:58:46 by Trapper »

Offline Cheetah

  • Former Staff
  • ****
Re: ArmA original version, prior to patch 1.08.
« Reply #2 on: 02 Aug 2007, 10:52:04 »
Morphicon's German DVD Version
Like missions? Help with Beta Testing! or take a look at the OFPEC Missions Depot for reviewed missions!

Offline Denz

  • Moderator
  • *****
Re: ArmA original version, prior to patch 1.08.
« Reply #3 on: 02 Aug 2007, 17:08:39 »
505 version 1.04 patched to 1.05 then to 1.08
I've got 'em right where I want 'em - surrounded from the inside!
Jerry "Mad Dog" Shriver, SOG Recon One-Zero
24/09/41 - 24/04/69

Offline JasonO

  • OFPEC Patron
  • ****
  • Oh no...
    • The New Life RPG
Re: ArmA original version, prior to patch 1.08.
« Reply #4 on: 02 Aug 2007, 20:50:47 »
Morphicon's German DVD Version
Gone through every version that I can install.

Offline SgtWolf

  • Members
  • *
Re: ArmA original version, prior to patch 1.08.
« Reply #5 on: 03 Aug 2007, 12:43:13 »
505 Games release here, and patched up to date.  I can't say what the initial installation version was though, as I can't remember.  :confused:

It was probably 1.04 though.

Offline firecontrol

  • Members
  • *
Re: ArmA original version, prior to patch 1.08.
« Reply #6 on: 05 Aug 2007, 08:50:26 »
Awesome, thanks guys.

No one had 1.06 from Atari as an original version?

Offline Nixer6

  • Members
  • *
Re: ArmA original version, prior to patch 1.08.
« Reply #7 on: 06 Aug 2007, 18:54:41 »
I have

The 505 version from BIS download, the SoftCrap one. (If it wasn't BIS I'd be demanding my money back)

The boxed Atari version (haven't opened it yet, lol)

I am playing the Atari D2D download version, patched to 1.08. I had to get the "fixed" .exe from "other sources" to make it work right.

For such a cool game, this hodgepodge release clusterf#$k is a real pain in the butt.

Crappy Protection!   ::)


No one had 1.06 from Atari as an original version?

Yep I do.

I have ran into some problems testing missions made by others on different versions too.
Why do I have to be a Rocket Scientist to make a good mission?